Subject: Re: ioperm

From: "Christopher R. Johnson" <[email-masked]>
Date: Tue, 27 Apr 2004 14:55:33 -0400

Normally I would agree, except that he's getting link errors with
ioperm, inb and outb - he's not even running the code.  As to whether
the code will work, you have an excellent point.  Maybe we're both
right, so beers all around!

Wolfgang Denk wrote:

>In message <[email-masked]> you wrote:
>
>>I've seen that also - if I remember correctly, it was an issue with the
>>toolchain.  I don't use eldk however, I roll my own.  Check your include
>>
>
>I bet a few beer that this is not a toolchain issue.
>
>>>I'm getting it while trying to compile  for a ppc405EP based board,
>>>
>...
>
>>>#define BASEPORT 0x378
>>>
>
>That smells like x86 PC code. It cannot run on a PowerPC.
>
>
>Best regards,
>
>Wolfgang Denk
>
>--
>Software Engineering:  Embedded and Realtime Systems,  Embedded Linux
>Phone: (+49)-8142-4596-87  Fax: (+49)-8142-4596-88  Email: [email-masked]
>I've got a bad feeling about this.
>
>

--
Christopher R. Johnson
Principal Software Engineer
GCC Printers
(781)276-8763

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/